## org.codehaus.groovy.grails.orm.hibernate.metaclass
Class ListOrderByPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.ListOrderByPersistentMethod

All Implemented Interfaces:
  StaticMethodInvocation

    public class ListOrderByPersistentMethod

extends AbstractStaticPersistentMethod

The "listOrderBy*" static persistent method. This method allows ordered listing of instances based on their properties. eg. Account.listOrderByHolder(); Account.listOrderByHolder(max); // max results

Author:
  Graeme

Constructor Summary
`ListOrderByPersistentMethod(org.hibernate.SessionFactory sessionFactory, ClassLoader classLoader)`

Method Summary
`protected Object` `doInvokeInternal(Class clazz, String methodName, Object[] arguments)`

Methods inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
`getHibernateTemplate, invoke`

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
`getPattern, isMethodMatch, setPattern, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListOrderByPersistentMethod

    public ListOrderByPersistentMethod(org.hibernate.SessionFactory sessionFactory,
                                       ClassLoader classLoader)

Method Detail

### doInvokeInternal

    protected Object doInvokeInternal(Class clazz,
                                      String methodName,
                                      Object[] arguments)

  Specified by:
    `doInvokeInternal` in class `AbstractStaticPersistentMethod`

Copyright (c) 2005-2009 The Grails project